Package org.apache.sysds.runtime.compress.utils

# Class ACount.DCounts

java.lang.Object
org.apache.sysds.runtime.compress.utils.ACount<Double>
org.apache.sysds.runtime.compress.utils.ACount.DCounts

Enclosing class:
  ACount<T>

public static final class ACount.DCounts extends ACount<Double>

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.utils.ACount

`ACount.DArrCounts, ACount.DCounts`

## Field Summary

Fields
Modifier and Type
Field
Description
`final double`
`key`
`ACount.DCounts`
`next`

### Fields inherited from class org.apache.sysds.runtime.compress.utils.ACount

`count, id`

## Constructor Summary

Constructors
Constructor
Description
`DCounts(double key, int id)`
`DCounts(double key, int id, int c)`

## Method Summary

Modifier and Type
Method
Description
`ACount<Double>`
`get(double key)`
`ACount<Double>`
`get(Double key)`
`static final int`
`hashIndex(double key)`
`ACount.DCounts`
`inc(double key, int c, int id)`
`ACount.DCounts`
`inc(Double key, int c, int id)`
`final Double`
`key()`
`final ACount.DCounts`
`next()`
`final void`
`setNext(ACount<Double> e)`
`ACount.DCounts`
`sort()`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.ACount

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### key

public final double key

### next

public ACount.DCounts next

## Constructor Details

### DCounts

public DCounts(double key, int id)

### DCounts

public DCounts(double key, int id, int c)

## Method Details

### next

public final ACount.DCounts next()

Specified by:
  `next` in class `ACount<Double>`

### setNext

public final void setNext(ACount<Double> e)

Specified by:
  `setNext` in class `ACount<Double>`

### key

public final Double key()

Specified by:
  `key` in class `ACount<Double>`

### sort

public ACount.DCounts sort()

Overrides:
  `sort` in class `ACount<Double>`

### get

public ACount<Double> get(Double key)

Specified by:
  `get` in class `ACount<Double>`

### get

public ACount<Double> get(double key)

Overrides:
  `get` in class `ACount<Double>`

### inc

public ACount.DCounts inc(Double key, int c, int id)

Specified by:
  `inc` in class `ACount<Double>`

### inc

public ACount.DCounts inc(double key, int c, int id)

Overrides:
  `inc` in class `ACount<Double>`

### hashIndex

public static final int hashIndex(double key)